ghc-7.4.2: The GHC API

Safe Haskell | None

RegAlloc.Linear.FreeRegs

# Documentation

class Show freeRegs => FR freeRegs where

Methods

frAllocateReg :: RealReg -> freeRegs -> freeRegs

frGetFreeRegs :: RegClass -> freeRegs -> [RealReg]

frInitFreeRegs :: freeRegs

frReleaseReg :: RealReg -> freeRegs -> freeRegs

Instances

FR FreeRegs |
FR FreeRegs |
FR FreeRegs |

maxSpillSlots :: Platform -> Int